Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.rfid.edge.toolkit.workflow
Class PortImpl

    java.lang.Object
      com.bea.rfid.edge.toolkit.workflow.PortImpl

All Implemented Interfaces:
  Port

Direct Known Subclasses:
  AbstractWorkflowModulePlugin.OneWayInputPortImpl

    public class PortImpl

extends Object
implements Port

Simple implementation of `Port` interface.

Constructor Summary
`PortImpl(String name, String displayName, PortType portType)` Constructor.

Method Summary
`String` | `getDisplayName()` Returns the display name of the port.
`String` | `getName()` Returns the name of the port.
`PortType` | `getPortType()` Returns the `PortType` of this port.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortImpl

    public PortImpl(String name,
                    String displayName,
                    PortType portType)

  Constructor.

  Parameters:
    `name` - Name of the port.
    `displayName` - Display name of the port.
    `portType` - The `PortType` of the port.

Method Detail

### getName

    public String getName()

  Description copied from interface: `Port`
  Returns the name of the port.

  Specified by:
    `getName` in interface `Port`
  Returns:
    Name of the port.

### getDisplayName

    public String getDisplayName()

  Description copied from interface: `Port`
  Returns the display name of the port.

  Specified by:
    `getDisplayName` in interface `Port`
  Returns:
    Display name of the port.

### getPortType

    public PortType getPortType()

  Description copied from interface: `Port`
  Returns the `PortType` of this port. The `PortType` has information about the message types this port accepts.

  Specified by:
    `getPortType` in interface `Port`
  Returns:
    The `PortType` of this port.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD